## org.apache.poi.hwpf.model
Class SEPX

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<SEPX>
          org.apache.poi.hwpf.model.SEPX

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<SEPX>

    @Internal
    public final class SEPX

extends PropertyNode<SEPX>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`SEPX(SectionDescriptor sed, int start, int end, byte[] grpprl)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`byte[]` `getGrpprl()`
`SectionDescriptor` `getSectionDescriptor()`
`SectionProperties` `getSectionProperties()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SEPX

    public SEPX(SectionDescriptor sed,
                int start,
                int end,
                byte[] grpprl)

Method Detail

### getGrpprl

    public byte[] getGrpprl()

### getSectionDescriptor

    public SectionDescriptor getSectionDescriptor()

### getSectionProperties

    public SectionProperties getSectionProperties()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PropertyNode<SEPX>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.